> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all custom components.

> Find all custom components of a project.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /custom-components
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /custom-components:
    get:
      tags:
        - Custom components
      summary: Find all custom components.
      description: Find all custom components of a project.
      operationId: Find
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: skip
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: searchTerm
          required: false
          schema:
            type: string
        - in: query
          name: publishedOnly
          required: false
          schema:
            type: boolean
        - in: query
          name: withCount
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - items:
                      $ref: '#/components/schemas/CustomComponentDocument'
                    type: array
                  - properties:
                      totalCount:
                        type: number
                        format: double
                      data:
                        items:
                          $ref: '#/components/schemas/CustomComponentDocument'
                        type: array
                    required:
                      - totalCount
                      - data
                    type: object
      security:
        - jwt: []
components:
  schemas:
    CustomComponentDocument:
      allOf:
        - $ref: '#/components/schemas/CustomComponent'
        - $ref: '#/components/schemas/Document'
    CustomComponent:
      $ref: '#/components/schemas/InferSchemaType_typeofcustomComponentSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofcustomComponentSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofcustomComponentSchema.any.ObtainSchemaGeneric_typeofcustomComponentSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofcustomComponentSchema.any.ObtainSchemaGeneric_typeofcustomComponentSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            createdBy:
              $ref: '#/components/schemas/ObjectId'
            isPublished:
              type: boolean
            exampleData: {}
            sanitizedTemplate:
              type: string
            template:
              type: string
            whenToUse:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            description:
              type: string
            name:
              type: string
            schema: {}
          required:
            - isPublished
            - exampleData
            - sanitizedTemplate
            - template
            - whenToUse
            - project
            - description
            - name
            - schema
          type: object
    NativeDate:
      type: string
    ObjectId:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````